Bug 799554 - [abrt] gocr-0.48-3.fc15: _dl_new_object: Process /usr/bin/gocr was killed by signal 11 (SIGSEGV)
[abrt] gocr-0.48-3.fc15: _dl_new_object: Process /usr/bin/gocr was killed by ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gocr (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Smetana
Fedora Extras Quality Assurance
abrt_hash:211018b58e07ce1783109de4a53...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-02 18:29 EST by Osvaldo Marques Junior
Modified: 2012-08-03 06:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-03 06:54:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: environ (5.11 KB, text/plain)
2012-03-02 18:29 EST, Osvaldo Marques Junior
no flags Details
File: Documento digitalizado-3.jpg (3.55 MB, image/jpeg)
2012-03-02 18:31 EST, Osvaldo Marques Junior
no flags Details
File: backtrace (25.48 KB, text/plain)
2012-03-02 18:31 EST, Osvaldo Marques Junior
no flags Details

  None (edit)
Description Osvaldo Marques Junior 2012-03-02 18:29:41 EST
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        gocr -
comment:        djpeg -pnm -gray teste/Documento-digitalizado-3.jpg | gocr -
crash_function: _dl_new_object
executable:     /usr/bin/gocr
kernel:         3.2.7-1.fc16.i686.PAE
pid:            3048
pwd:            /home/osvaldo
reason:         Process /usr/bin/gocr was killed by signal 11 (SIGSEGV)
time:           Sex 02 Mar 2012 18:03:51 EST
uid:            201
username:       osvaldo

Documento digitalizado-3.jpg: Binary file, 3721702 bytes
backtrace:      Text file, 26087 bytes
environ:        Text file, 5237 bytes

dso_list:
:/etc/ld.so.cache glibc-2.14.90-24.fc16.6.i686 (Fedora Project) 1330459887
:/lib/ld-2.14.90.so glibc-2.14.90-24.fc16.6.i686 (Fedora Project) 1330459887
:/usr/lib/libnetpbm.so.10.47 netpbm-10.47.31-1.fc16.i686 (Fedora Project) 1329753842
:/lib/libm-2.14.90.so glibc-2.14.90-24.fc16.6.i686 (Fedora Project) 1330459887
:/usr/bin/gocr gocr-0.48-3.fc15.i686 (Fedora Project) 1329753850
:/lib/libc-2.14.90.so glibc-2.14.90-24.fc16.6.i686 (Fedora Project) 1330459887

maps:
:08048000-080b0000 r-xp 00000000 08:02 1262662    /usr/bin/gocr
:080b0000-080b1000 rw-p 00068000 08:02 1262662    /usr/bin/gocr
:08a1a000-08e3a000 rw-p 00000000 00:00 0          [heap]
:b6cd3000-b6cf6000 r--p 00000000 08:02 551408     /etc/ld.so.cache
:b6cf6000-b7586000 rw-p 00000000 00:00 0 
:b7586000-b772d000 r-xp 00000000 08:02 1032202    /lib/libc-2.14.90.so
:b772d000-b772e000 ---p 001a7000 08:02 1032202    /lib/libc-2.14.90.so
:b772e000-b7730000 r--p 001a7000 08:02 1032202    /lib/libc-2.14.90.so
:b7730000-b7731000 rw-p 001a9000 08:02 1032202    /lib/libc-2.14.90.so
:b7731000-b7734000 rw-p 00000000 00:00 0 
:b7734000-b7764000 r-xp 00000000 08:02 1067527    /usr/lib/libnetpbm.so.10.47
:b7764000-b7767000 rw-p 0002f000 08:02 1067527    /usr/lib/libnetpbm.so.10.47
:b7767000-b7790000 r-xp 00000000 08:02 1032224    /lib/libm-2.14.90.so
:b7790000-b7791000 r--p 00028000 08:02 1032224    /lib/libm-2.14.90.so
:b7791000-b7792000 rw-p 00029000 08:02 1032224    /lib/libm-2.14.90.so
:b77b3000-b77b6000 rw-p 00000000 00:00 0 
:b77b6000-b77b7000 r-xp 00000000 00:00 0          [vdso]
:b77b7000-b77d8000 r-xp 00000000 08:02 1032404    /lib/ld-2.14.90.so
:b77d8000-b77d9000 r--p 00020000 08:02 1032404    /lib/ld-2.14.90.so
:b77d9000-b77da000 rw-p 00021000 08:02 1032404    /lib/ld-2.14.90.so
:bfdd8000-bfdfa000 rw-p 00000000 00:00 0          [stack]

smolt_data:
:
:
:Geral
:=================================
:UUID: 3d7768f7-9f57-4284-9358-fdd3ef1462ee
:SO: Fedora release 16 (Verne)
:Nível de execução padrão: Unknown
:Idioma: pt_BR.UTF-8
:Plataforma: i686
:BogoMIPS: 6026.31
:Fabricante da CPU: GenuineIntel
:Modelo da CPU: Pentium(R) Dual-Core  CPU      E5700  @ 3.00GHz
:Versão da CPU: 10
:Família da CPU: 6
:Modelo da CPU: 23
:Número de CPUs: 2
:Velocidade da CPU: 3003
:Memória do sistema: 3997
:Swap do sistema: 0
:Fabricante: System manufacturer
:Sistema: System Product Name System Version
:Fator de uso: Desktop
:Kernel: 3.2.7-1.fc16.i686.PAE
:SELinux habilitado: 0
:Politica do SELinux: targeted
:Modo de reforço do SELinux: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Dispositivos
:=================================
:(32902:10168:4163:33145) pci, None, PCI/ISA, P5KPL-VM Motherboard
:(4332:33128:4163:33699) pci, r8169, ETHERNET, M4A785TD Motherboard
:(32902:11826:4163:33645) pci, i915, VIDEO, 4 Series Chipset Integrated Graphics Controller
:(32902:10176:4163:33145) pci, ata_piix, STORAGE, P5KPL-VM Motherboard
:(32902:10192:4163:33145) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10194:4163:33145) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 2
:(4332:33129:4332:33129) pci, r8169, ETHERNET, RTL8169/8110 Family PCI Gigabit Ethernet NIC
:(32902:10200:4163:33748) pci, snd_hda_intel, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(32902:10207:4163:33145) pci, ata_piix, STORAGE, P5KPL-VM Motherboard
:(32902:10196:4163:33145) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 3
:(32902:9294:4163:33145) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:10185:4163:33145) pci, uhci_hcd, USB, P5KPL-VM,P5LD2-VM Mainboard
:(32902:10184:4163:33145) pci, uhci_hcd, USB, P5KPL-VM,P5LD2-VM Mainboard
:(32902:11824:4163:33645) pci, agpgart-intel, HOST/PCI, 4 Series Chipset DRAM Controller
:(32902:10186:4163:33145) pci, uhci_hcd, USB, P5KPL-VM,P5LD2-VM Mainboard
:(32902:10187:4163:33145) pci, uhci_hcd, USB, P5KPL-VM,P5LD2-VM Mainboard
:(32902:10188:4163:33145) pci, ehci_hcd, USB, P5KPL-VM,P5LD2-VM Mainboard
:
:
:Informações do sistema de arquivos
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda2 / ext3 4096 4096 5149983 3170567 2908423 1310720 1028250 1028250
:

var_log_messages:
:Mar  2 18:03:51 Demo-paf kernel: [ 8265.959600] gocr[3048]: segfault at c ip b75fd200 sp bfdecfd0 error 4 in libc-2.14.90.so[b7586000+1a7000]
:Mar  2 18:03:51 Demo-paf abrt[3050]: Saved core dump of pid 3048 (/usr/bin/gocr) to /var/spool/abrt/ccpp-2012-03-02-18:03:51-3048 (13545472 bytes)
Comment 1 Osvaldo Marques Junior 2012-03-02 18:29:45 EST
Created attachment 567191 [details]
File: environ
Comment 2 Osvaldo Marques Junior 2012-03-02 18:31:04 EST
Created attachment 567192 [details]
File: Documento digitalizado-3.jpg
Comment 3 Osvaldo Marques Junior 2012-03-02 18:31:08 EST
Created attachment 567193 [details]
File: backtrace
Comment 4 Tomas Smetana 2012-03-09 03:47:31 EST
Thank you for the report. I'll take a look at it.
Comment 5 Tomas Smetana 2012-03-13 04:29:14 EDT
I'm unable to reproduce the crash with Rawhide and don't have any F-16 around.  Does the crash happen every time with the provided image?

Note You need to log in before you can comment on or make changes to this bug.